/* 
 * Copyright (c) 1993-2010 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef HUEBLOB_PRINT_H
#define HUEBLOB_PRINT_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/stereopixelTclservClientEncode.h"

#include "server/tclservClient/viamTclservClientEncode.h"

#include "server/tclservClient/pomTclservClientEncode.h"


#include "server/hueblobPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
void buf_add_struct_HUEBLOB_BLOB_POSTER_STR ( buf_t buf, struct HUEBLOB_BLOB_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_HueBlobIds ( buf_t buf, struct HueBlobIds *x, int nDim, int *dims);
void buf_add_struct_HueBlobTrackChessboard ( buf_t buf, struct HueBlobTrackChessboard *x, int nDim, int *dims);
void buf_add_struct_HueBlobTrackBlob ( buf_t buf, struct HueBlobTrackBlob *x, int nDim, int *dims);
void buf_add_struct_HueBlobBox ( buf_t buf, struct HueBlobBox *x, int nDim, int *dims);
void buf_add_struct_HueBlob3DBox ( buf_t buf, struct HueBlob3DBox *x, int nDim, int *dims);
void buf_add_struct_HueBlob3DPoint ( buf_t buf, struct HueBlob3DPoint *x, int nDim, int *dims);
void buf_add_struct_HueBlobImageBox ( buf_t buf, struct HueBlobImageBox *x, int nDim, int *dims);
void buf_add_struct_HueBlobInput ( buf_t buf, struct HueBlobInput *x, int nDim, int *dims);
void buf_add_struct_HueBlobObject ( buf_t buf, struct HueBlobObject *x, int nDim, int *dims);
void buf_add_enum_HueBlobBool ( buf_t buf, enum HueBlobBool *x, int nDim, int *dims);

/* ======================== PRINT DES TYPEDEF ============================= */

void buf_add_HueBlobBool ( buf_t buf, HueBlobBool *x, int nDim, int *dims);
void buf_add_HueBlobObject ( buf_t buf, HueBlobObject *x, int nDim, int *dims);
void buf_add_HueBlobInput ( buf_t buf, HueBlobInput *x, int nDim, int *dims);
void buf_add_HueBlobImageBox ( buf_t buf, HueBlobImageBox *x, int nDim, int *dims);
void buf_add_HueBlob3DPoint ( buf_t buf, HueBlob3DPoint *x, int nDim, int *dims);
void buf_add_HueBlob3DBox ( buf_t buf, HueBlob3DBox *x, int nDim, int *dims);
void buf_add_HueBlobBox ( buf_t buf, HueBlobBox *x, int nDim, int *dims);
void buf_add_HueBlobTrackBlob ( buf_t buf, HueBlobTrackBlob *x, int nDim, int *dims);
void buf_add_HueBlobTrackChessboard ( buf_t buf, HueBlobTrackChessboard *x, int nDim, int *dims);
void buf_add_HueBlobIds ( buf_t buf, HueBlobIds *x, int nDim, int *dims);
void buf_add_HUEBLOB_BLOB_POSTER_STR ( buf_t buf, HUEBLOB_BLOB_POSTER_STR *x, int nDim, int *dims);
#ifdef __cplusplus
}
#endif

#endif /* HUEBLOB_TCLSERV_CLIENT_ENCODE_H */

